org.apache.maven.scm.command.checkout

## Class AbstractCheckOutCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkout.AbstractCheckOutCommand

- All Implemented Interfaces:
    Command
  Direct Known Subclasses:
    AbstractCvsCheckOutCommand, AccuRevCheckOutUsingPopCommand, AccuRevCheckOutWorkspaceCommand, BazaarCheckOutCommand, ClearCaseCheckOutCommand, GitCheckOutCommand, HgCheckOutCommand, LocalCheckOutCommand, PerforceCheckOutCommand, StarteamCheckOutCommand, SvnCheckOutCommand, SynergyCheckOutCommand, TfsCheckOutCommand

      public abstract class AbstractCheckOutCommand
      extends AbstractCommand

  Version:
    $Id: AbstractCheckOutCommand.java 690992 2008-09-01 15:08:23Z vsiveton $
  Author:
    Emmanuel Venisse, Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCheckOutCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected CheckOutScmResult` | `executeCheckOutCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion scmVersion)` Execute Check out command line in a recursive check out way.
    `protected abstract CheckOutScmResult` | `executeCheckOutCommand(ScmProviderRepository repository, ScmFileSet fileSet, ScmVersion scmVersion, boolean recursive)` Execute Check out command line.
    `ScmResult` | `executeCommand(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractCheckOutCommand

          public AbstractCheckOutCommand()

  - ### Method Detail

    - #### executeCheckOutCommand

          protected CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repository,
                                                 ScmFileSet fileSet,
                                                 ScmVersion scmVersion)
                                                      throws ScmException

      Execute Check out command line in a recursive check out way.
      Parameters:
        `repository` - not null
        `fileSet` - not null
        `scmVersion` - not null
      Returns:
        the checkout result
      Throws:
        `ScmException` - if any
      See Also:
        `executeCheckOutCommand(ScmProviderRepository, ScmFileSet, ScmVersion, boolean)`

    - #### executeCheckOutCommand

          protected abstract CheckOutScmResult executeCheckOutCommand(ScmProviderRepository repository,
                                                 ScmFileSet fileSet,
                                                 ScmVersion scmVersion,
                                                 boolean recursive)
                                                               throws ScmException

      Execute Check out command line.
      Parameters:
        `repository` - not null
        `fileSet` - not null
        `scmVersion` - not null
        `recursive` - `true` if recursive check out is wanted, `false` otherwise.
      Returns:
        the checkout result
      Throws:
        `ScmException` - if any
      Since:
        1.1.1

    - #### executeCommand

          public ScmResult executeCommand(ScmProviderRepository repository,
                                 ScmFileSet fileSet,
                                 CommandParameters parameters)
                                   throws ScmException

      Specified by:
        `executeCommand` in class `AbstractCommand`
      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.